use crate::system::*;



pub struct XInputSystem {
    running:bool,
}
impl XInputSystem {
    pub fn thread(_tx:Sender<Query>, rx:Receiver<Query>)
    {
        let sv = XInputSystem {
            running:true,
        };

        while sv.running {
            // Handle system queries
            while let Ok(_msg) = rx.try_recv() {

            }

            // Poll xinput devices


            // Sleep until next step
            std::thread::sleep(std::time::Duration::from_millis(4));
        }
    }
}
